> For the complete documentation index, see [llms.txt](https://docs.digibee.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digibee.com/documentation/connectors-and-triggers/connectors/structured-data/arangodb.md).

# ArangoDb

Discover more about the ArangoDb connector and how to use it on the Digibee Integration Platform.

{% hint style="info" %}
The content of this documentation is under revision and may change. We appreciate your understanding as we work to improve it.
{% endhint %}

**ArangoDb** performs operations on ArangoDb when used as a Document Database, or as a Graph Database.

## **Parameters**

Take a look at the configuration options for the component. Parameters supported by [Double Braces expressions](/documentation/connectors-and-triggers/double-braces/overview.md) are marked with `(DB)`.

### **General tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Dynamic Account</strong></td><td>When active, the connector will use the account dynamically. Otherwise, it will use the account statically.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Account Name</strong> <code>(DB)</code></td><td>The name of the dynamic account used by the connector. This account must have been previously configured in a <a href="/documentation/connectors-and-triggers/connectors/tools/store-account.md"><strong>Store Account</strong></a> connector in the pipeline for this process to take effect. It is only available if the <strong>Dynamic Account</strong> parameter is active.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Account</strong></td><td>The account used by the connector. It is only available if the <strong>Dynamic Account</strong> parameter is inactive.</td><td>N/A</td><td>Account</td></tr><tr><td><strong>Database</strong> <code>(DB)</code></td><td>Database name.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Fail On Error</strong></td><td>If the option is activated, the pipeline's execution with an error will be interrupted. Otherwise, the pipeline execution proceeds, but the result will show a false value for the <code>"success"</code> property.</td><td>False</td><td>Boolean</td></tr></tbody></table>

### **Optional tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Document Collection</strong> <code>(DB)</code></td><td>Collection name, when using ArangoDB as a Document Database. Set the <code>documentCollection</code> name when using CRUD operations on the document database collections (SAVE_DOCUMENT, FIND_DOCUMENT_BY_KEY, UPDATE_DOCUMENT, DELETE_DOCUMENT).</td><td>N/A</td><td>String</td></tr><tr><td><strong>Edge Collection</strong> <code>(DB)</code></td><td>Collection name of vertices, when using ArangoDB as a Graph Database. Set the <code>edgeCollection</code> name to perform CRUD operations on edges using these operations: SAVE_VERTEX, FIND_VERTEX_BY_KEY, UPDATE_VERTEX, DELETE_VERTEX. The <code>graph</code> attribute is mandatory.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Graph</strong> <code>(DB)</code></td><td>Graph name, when using ArangoDB as a Graph Database. Combine this attribute with either the <code>vertexCollection</code> or <code>edgeCollection</code> attributes.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Host</strong> <code>(DB)</code></td><td>ArangoDB host. If host and port are default, this field is optional.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Operation</strong></td><td>Operations to perform on ArangoDB. For the <code>AQL_QUERY</code> operation, no need to specify a collection or graph.</td><td></td><td>String</td></tr><tr><td><strong>Port</strong></td><td>ArangoDB exposed port. If host and port are default, this field is optional.</td><td>N/A</td><td>Number</td></tr><tr><td><strong>Vertex Collection</strong> <code>(DB)</code></td><td>Collection name of vertices, when using ArangoDB as a Graph Database. Set the <code>vertexCollection</code> name to perform CRUD operations on vertices using these operations: SAVE_EDGE, FIND_EDGE_BY_KEY, UPDATE_EDGE, DELETE_EDGE. The <code>graph</code> attribute is mandatory.</td><td>N/A</td><td>String</td></tr></tbody></table>

### **Headers tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Db Multi Update</strong></td><td>Indicates if there are multiple documents to update. If set to true, the body of the message must be a collection of documents to update.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Db Multi Insert</strong></td><td>Indicates if there are multiple documents to insert. If set to true, the body of the message must be a collection of documents to insert.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Db Multi Delete</strong></td><td>Indicates if there are multiple documents to delete. If set to true, the body of the message must be a collection of keys of documents to delete.</td><td>False</td><td>Boolean</td></tr><tr><td><strong>Key</strong> <code>(DB)</code></td><td>The Arango key to use for the operation.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Result Class Type</strong> <code>(DB)</code></td><td>The type of the result of the operation.</td><td>BaseDocument.class or BaseEdgeDocument.class</td><td>String</td></tr><tr><td><strong>Db Aql Query</strong> <code>(DB)</code></td><td>The AQL query to execute.</td><td>N/A</td><td>String</td></tr><tr><td><strong>Db Aql Parameters</strong> <code>(DB)</code></td><td>The key/value pairs defining the variables to bind the query to.</td><td>N/A</td><td>JSON</td></tr></tbody></table>

### **Documentation tab**

<table data-full-width="true"><thead><tr><th>Parameter</th><th>Description</th><th>Default value</th><th>Data type</th></tr></thead><tbody><tr><td><strong>Documentation</strong></td><td>Section for documenting any necessary information about the connector configuration and business rules.</td><td>N/A</td><td>String</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digibee.com/documentation/connectors-and-triggers/connectors/structured-data/arangodb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
